LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices

Reply
 
Search this Thread
Old 06-16-2004, 11:16 AM   #1
dimgr
Member
 
Registered: Jun 2004
Posts: 92

Rep: Reputation: 15
Questions / Problems installing ATI 9600xt


Hi


MOst of the times when i was trying to set it up i was getting errors at boot no screens found etc . Last time however i was folllowing this page --xoomer.virgilio.it/flavio.stanchina/debian/fglrx-installer.html#prebuilt.------
Everything worked fine untill the time i was going to do a modprobe fglrx.
THen i got this error : FATAL: Error inserting fglrx
(/lib/modules/2.6.6/kernel/drivers/video/fglrx.ko): Invalid module
format . Dmesg gave me an error that i should have used gcc version 2.95 and not 3.3


I will try again this way and tell me if you se anything wrong


cd /home/


dpkg -i fglrx-4.3.0-driver_3.9.0-4_i386.deb
dpkg -i fglrx-4.3.0-kernel-src_3.9.0-4_i386.deb

tar xzvf fglrx-4.3.0-3.9.0.tar.gz

cd /usr/src/modules/fglrx-4.3.0-3.9.0 wheneever i was trying to to a ./make sh always failed. I do not remember the exact errors.

Is this going to work ? : CC=/usr/bin/gcc-2.95" ./make.sh

if not i know this works for me : cd /kernelsource then
fakeroot make-kpkg
--append-to-version "-flavour" --added-modules fglrx-4.3.0-3.9.0 modules_image

dpkg -i /usr/src/fglrx-4.3.0-kernel-x.y.z_3.9.0-4+kernelversion_i386.deb

modprobe fglrx




my main problem is how to compile with version 2.95 and not 3.3


thanks
 
Old 07-27-2004, 08:38 AM   #2
ToniT
Senior Member
 
Registered: Oct 2003
Location: Zurich, Switzerland
Distribution: Debian/unstable
Posts: 1,357

Rep: Reputation: 47
Yes it should, the make.sh reads the CC environment variable.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
SuSE 9.3 + ATI Radeom 9600XT + OpenGL problems dop Linux - Games 3 09-07-2005 03:04 PM
Correct installing procedure, but no 3d Accel with ATI 9600XT Darthdan Fedora 2 02-01-2005 01:44 PM
Problems installing drivers for ATI 9600XT Young Padawan Linux - Hardware 3 11-10-2004 08:25 AM
9600XT / Mandrake 10.0 ATi driver problems Target Linux - Hardware 2 10-28-2004 05:12 AM
ATI driver: ATI 9600XT failed dependencies igmcdermott Linux - Software 1 08-06-2004 02:26 AM


All times are GMT -5. The time now is 04:39 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration